<?php

namespace Drupal\ultimate_table_field\Attribute;

use Drupal\Component\Plugin\Attribute\Plugin;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Defines ultimate table cell field attribute object.
 */
#[\Attribute(\Attribute::TARGET_CLASS)]
class UltimateTableCellField extends Plugin {

  /**
   * Constructs a MenuPatternsBuilder attribute.
   *
   * @param string $id
   *   The plugin ID.
   * @param ?TranslatableMarkup $label
   *   The concerned menus names.
   */
  public function __construct(
    public readonly string $id,
    public readonly ?TranslatableMarkup $label,
  ) {}

}
